Loading...
Searching...
No Matches
pqxx::string_traits< std::optional< T > > Struct Template Reference

## Static Public Member Functions

static char * | into_buf (char *begin, char *end, std::optional< T > const &value)
static zview | to_buf (char *begin, char *end, std::optional< T > const &value)
static std::optional< T > | from_string (std::string_view text)
static std::size_t | size_buffer (std::optional< T > const &value) noexcept

## Static Public Attributes

static constexpr bool | converts_to_string
static constexpr bool | converts_from_string

## Member Data Documentation

## converts_from_string

template<typename T >

constexpr bool pqxx::string_traits< std::optional< T > >::converts_from_string

static constexpr

Initial value:
{
string_traits<T>::converts_from_string}
pqxx::string_traits::converts_from_string
static constexpr bool converts_from_string
Is conversion from string_view to TYPE supported?
Definition strconv.hxx:165

## converts_to_string

template<typename T >

constexpr bool pqxx::string_traits< std::optional< T > >::converts_to_string

static constexpr

Initial value:
{
string_traits<T>::converts_to_string}
pqxx::string_traits::converts_to_string
static constexpr bool converts_to_string
Is conversion from TYPE to strings supported?
Definition strconv.hxx:159

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx